Redmine - Feature #13157

Link on "My Page" to view all my spent time
2013-02-13 15:09 - Filou Centrinov

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: My page Estimated time: 0.00 hour
Target version: 2.4.0

Resolution: Fixed

Description

On my page there is no link below the spent time block to display "all my spent time". Actualy the click path is quite long: Projekt XY"
-> Details (of spent time) -> All projects (in the breadcrumbs path)
This issue could use the new feature #10191 so by clicking on "all my spent time" only my spent time from all projects is displayed.

Compared to the issue blocks on my page there is always a link below to "View all issues".

Related issues:

Related to Redmine - Feature #12789: Redmine - design study New

Related to Redmine - Feature #10191: Add Filters For Spent time's Details and... Closed

Related to Redmine - Feature #10480: Add a checkox "only my time entries" in ... Closed

Related to Redmine - Feature #4706: Project member filter on timelog details Closed 2010-02-01
Related to Redmine - Feature #916: Improve the timesheet summary on My Page Closed 2008-03-24

Associated revisions

Revision 11859 - 2013-05-18 09:39 - Jean-Philippe Lang
Adds a link on "My Page" to view all my spent time (#13157).

History

#1 - 2013-02-15 02:32 - Filou Centrinov
- File link_spent_time.png added

#2 - 2013-04-03 14:11 - Filou Centrinov
- File link_spent_time2.png added
- File _timelog.html.erb.patch added

This patch for the timelog wigdet on my page inserts a link to all my spent time.

Translations for "label_my_spent_time":
en: View all spent time

de: Gesamte aufgewendete Zeit anzeigen
fr: Voir tout le temps pass

#3 - 2013-04-06 05:54 - Toshi MARUYAMA

- Target version set to Candidate for next major release

#4 - 2013-05-18 09:40 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 2.4.0

- Resolution set to Fixed

Feature added in r11859 with a few changes:

e the link is added to the block title to avoid adding some more translation strings
¢ used a named route for the url
https://www.redmine.org/issues/10191
https://www.redmine.org/projects/redmine/repository/svn/revisions/11859

e added a test for the spent time index

Thanks.

Files

link_spent_time.png 9.02 KB 2013-02-15 Filou Centrinov
link_spent_time2.png 20 KB 2013-04-03 Filou Centrinov
_timelog.html.erb.patch 417 Bytes 2013-04-03 Filou Centrinov
